> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get calendars



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetCalendars
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetCalendars:
    post:
      tags:
        - MarketData
      summary: Get calendars
      operationId: GetCalendars
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetCalendarsRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetCalendarsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetCalendarsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetCalendarsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetCalendarsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetCalendarsRequest:
      example:
        identifiers:
          - identifiers
          - identifiers
      properties:
        identifiers:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetCalendarsRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetCalendarsResponse:
      example:
        calendars:
          - holidays:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            name: name
            include_weekends: true
          - holidays:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            name: name
            include_weekends: true
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetCalendarsResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Calendar:
      discriminator:
        mapping:
          Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core: '#/components/schemas/CalendarMintlifyShape'
          Derivitec.Web.Core.StaticData.CalendarIntersection, Derivitec.Web.Core: '#/components/schemas/CalendarIntersection'
          Derivitec.Web.Core.StaticData.CalendarUnion, Derivitec.Web.Core: '#/components/schemas/CalendarUnion'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/CalendarMintlifyShape'
        - $ref: '#/components/schemas/CalendarIntersection'
        - $ref: '#/components/schemas/CalendarUnion'
    CalendarMintlifyShape:
      example:
        holidays:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
        name: name
        include_weekends: true
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarIntersection:
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.StaticData.CalendarIntersection,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CalendarUnion:
      properties:
        holidays:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        include_weekends:
          type: boolean
        name:
          nullable: true
          type: string
        calendars:
          items:
            $ref: '#/components/schemas/Calendar'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.StaticData.CalendarUnion, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````